package factura40;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;

@XmlType(name = "c_Impuesto")
@XmlEnum
public enum CImpuesto {

    @XmlEnumValue("001")
    c_Impuesto_001("001"),
    @XmlEnumValue("002")
    c_Impuesto_002("002"),
    @XmlEnumValue("003")
    c_Impuesto_003("003");

    private final String value;

    CImpuesto(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CImpuesto fromValue(String v) {
        for (CImpuesto c : CImpuesto.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

    public static CImpuesto fromValorImpuesto(String v) {
        for (CImpuesto c : CImpuesto.values()) {
            if (c.value.substring(1, 3).equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);

    }

}
